Package org.apache.nutch.util

## Class GenericWritableConfigurable

- java.lang.Object
- - org.apache.hadoop.io.GenericWritable
  - - org.apache.nutch.util.GenericWritableConfigurable

- All Implemented Interfaces:
    `Configurable`, `Writable`
  Direct Known Subclasses:
    `NutchWritable`

      public abstract class GenericWritableConfigurable
      extends GenericWritable
      implements Configurable

  A generic Writable wrapper that can inject Configuration to `Configurable`s

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericWritableConfigurable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Configuration` | `getConf()` |
    `void` | `readFields​(DataInput in)` |
    `void` | `setConf​(Configuration conf)` |

    - ### Methods inherited from class org.apache.hadoop.io.GenericWritable

      `get, getTypes, set, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericWritableConfigurable

          public GenericWritableConfigurable()

  - ### Method Detail

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`
      Overrides:
        `getConf` in class `GenericWritable`

    - #### setConf

          public void setConf​(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`
      Overrides:
        `setConf` in class `GenericWritable`

    - #### readFields

          public void readFields​(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Overrides:
        `readFields` in class `GenericWritable`
      Throws:
        `IOException`